import { Sequelize } from 'sequelize-typescript';
import { Invoice } from "./models/Invoice";
import { Product } from "./models/Product";
 
const sequelize =  new Sequelize({
    dialect: 'sqlite',
    storage: 'database.sqlite',
    modelPaths: [__dirname + '/models']
});

class App {

    constructor() {
    }

    public async start() {

        await sequelize.sync();

        sequelize.models.Invoice.destroy({ where : {}, truncate : true });
        sequelize.models.Product.destroy({ where : {}, truncate : true });

        let laptop : Product = new Product();
        laptop.name = 'Laptop';
        await laptop.save();

        let desktop : Product = new Product();
        desktop.name = 'Desktop';
        await desktop.save();
        
        let i : Invoice = new Invoice();
        i.nr = 2019001;
        i.$add('products', [laptop, desktop]);
        await i.save();
    }
}


let app : App = new App();

app.start();
